Bug 197911 - possible circular locking dependency detected (cpufreq)
Summary: possible circular locking dependency detected (cpufreq)
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-07 06:08 UTC by Piete Brooks
Modified: 2008-08-02 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 00:07:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg trace of problem (3.16 KB, text/plain)
2006-07-07 06:08 UTC, Piete Brooks
no flags Details
Attachment with output from dmesg (2.99 KB, text/plain)
2006-07-11 23:28 UTC, Jim Cornette
no flags Details
still seeing this with kernel-2.6.17-1.2401.fc6 (1.38 KB, text/plain)
2006-07-15 23:28 UTC, Jim Cornette
no flags Details

Description Piete Brooks 2006-07-07 06:08:05 UTC
Description of problem:
"possible circular locking dependency detected"

Version-Release number of selected component (if applicable):
2.6.17-1.2356.fc6 #1 SMP Thu Jul 6 01:10:48 EDT 2006 i686 i686 i386 GNU/Linux

How reproducible:
At boot time with orinoco_cs WiFi card

Steps to Reproduce:
1. boot
  
Actual results:
Expected results:

Additional info:
In attachment

Comment 1 Piete Brooks 2006-07-07 06:08:05 UTC
Created attachment 132040 [details]
dmesg trace of problem

Comment 2 Jim Cornette 2006-07-11 23:25:57 UTC
With kernel-2.6.17-1.2364.fc6, I am getting a message related to cpuspeed that
looks similar. This is not an smp machine and does not see to be related to the
NIC. I will attach my cut from dmesg for comparison.

Comment 3 Jim Cornette 2006-07-11 23:28:10 UTC
Created attachment 132271 [details]
Attachment with output from dmesg

This seems to be more cpu speed realted but the frequency control seems to work
fine.

Comment 4 Dave Jones 2006-07-12 04:03:52 UTC
should be fixed in tomorrows rawhide push (kernel-2.6.17-1.2375.fc6 or higher).

Comment 5 Jim Cornette 2006-07-15 23:28:05 UTC
Created attachment 132514 [details]
still seeing this with kernel-2.6.17-1.2401.fc6

The error still seems to be present.

Comment 6 John W. Linville 2006-11-16 18:55:16 UTC
I don't think his has anything to do w/ orinoco...looks like cpufreq to me...

Comment 7 Jon Stanley 2007-12-31 00:52:27 UTC
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!


Note You need to log in before you can comment on or make changes to this bug.